export default {
  ssr: false,
  srcDir: 'src/',
  target: 'static',
  head: {
    title: 'Know Your Teammates',
    meta: [
      { charset: 'utf-8' },
      { name: 'viewport', content: 'width=device-width, initial-scale=1' },
    ],
    link: [
      { rel: 'icon', type: 'image/x-icon', href: '/favicon.ico' }
    ]
  },
  css: [
    '@/assets/css/fonts',
    '@/assets/css/base',
  ],
  components: true,
  modules: ['@nuxtjs/axios'],
  plugins: [{ src: '~/plugins/engine', mode: 'client' }],
  axios: { proxy: true },
  publicRuntimeConfig: {
    serverBaseUrl: '/',
  },
  proxy: {
    '/api/': 'http://localhost:32039',
  },
}
