package application

import (
	"fmt"
	"net/http"
	"sirlab.de/go/knyt/user"
)

func (app *Application) SaveSelection(usr *user.User, w http.ResponseWriter, r *http.Request) {
	gameRef := r.URL.Query().Get("g")
	gm, err := app.GetGameById(gameRef)
	if err != nil {
		w.WriteHeader(http.StatusNotFound)
		fmt.Fprintf(w, "game not found")
		return
	}

	if usr.GetGameId() != gameRef || !usr.IsPlayer() {
		w.WriteHeader(http.StatusForbidden)
		fmt.Fprintf(w, "forbidden")
		return
	}

	selection := r.URL.Query().Get("selection")
	gm.SaveSelection(usr, selection)
}
