package game

import (
	"sirlab.de/go/knyt/user"
)

type Quote struct {
	Id    string `json:"id"`
	Quote string `json:"quote"`
}

type QuotesInfo struct {
	Quotes []Quote `json:"quotes"`
}

func (gm *Game) GetQuotesInfoByUser(usr *user.User) (*QuotesInfo, error) {
	gm.mu.Lock()
	defer gm.mu.Unlock()

	usrId := usr.GetId()
	quotes := make([]Quote, 0)
	for _, quote := range gm.quotes {
		if quote.GetSourceId() == usrId {
			quotes = append(quotes, Quote{
				Id:    quote.GetId(),
				Quote: quote.GetQuote(),
			})
		}
	}

	return &QuotesInfo{Quotes: quotes}, nil
}
